<?php
require_once(LIB_PATH.DS.'config2.php');

class MySQLDatabase2 {
	private $connection2='';
	public $last_query;
	private $magic_quotes_active;
	private $real_escape_string_exists;
	
	
	
	    function __construct()
    {
        $this->open_connection();
        $this->magic_quotes_active = get_magic_quotes_gpc();
        $this->real_escape_string_exists = function_exists("mysqli_real_escape_string");

    }

    public function open_connection()
    {
        $this->connection2 = mysqli_connect(DB_SERVER2, DB_USER2, DB_PASS2);
        if (!$this->connection2) {
           die("Database connection failed: " . mysql_error());
           $this->error("Connection could not be established.");

        } else {
            $db_select = mysqli_select_db( $this->connection2, DB_NAME2 );
            // if (!$db_select) {

            //   die("Database selection failed " . mysql_error());
            //   // $this->error("Database selection failed.");
            // }else{
                
            // $this->error("Database234 selection successful.");
            // }

        }
    }

    public function close_connection()
    {
        if (isset($this->connection2)) {
            mysql_close($this->connection2);
            unset($this->connection2);
        }

    }

    public function query($connection2, $sql)
    {
        $result = mysqli_query($this->connection2, $sql );
       $this->last_query = $sql;
        $this->confirm_query($result);
        return $result;

    }

    public function escape_value($value)
    {

        if ($this->real_escape_string_exists) {

            if ($this->magic_quotes_active) {
                $value = stripslashes($value);
            }
            $value = mysqli_real_escape_string($this->connection2,$value);
        } else {
            if (!$this->magic_quotes_active) {
                $value = addslashes($value);
            }
        }
        return $value;
    }

// Database neutral methods
    public function fetch_array($result_set)
    {

        // if (mysql_fetch_array($result_set)){
            return mysqli_fetch_array($result_set);
           
        //  }else {
        //      $this->error("Could not fetch selected rows from the database.");
        // }
    }

    public function num_rows($result_set)
    {
         //if ($row= mysql_num_rows($result_set)){
            return  mysqli_num_rows($result_set);
        // }else {
        //     $this->error("Row count from database query failed.");
        // }
    }

    public function insert_id()
    {
        // if ($row= mysql_insert_id($this->connection)){
            return mysqli_insert_id($this->connection2);
        // }else {
        //     $this-error("Could not insert the last data-id");
        // }
       
    }

    public function affected_rows()
    {
        // if (mysql_affected_rows($this->connection)){

            return  mysqli_affected_rows($this->connection2);   
        // }else {
        //      $this->error("No rows was affected");
        //    }
}
    private function confirm_query($result)
    {

        if (!$result) {
          //  $this-error("Operation was not successful. ". mysql_error($this->connection));
             $output = "Database query failed. " . mysqli_error($this->connection2) . "<br/><br/>";
             $output = "Last SQL Query: " . $this->last_query;
           // $this->error("Database query failed");
            $this->error($output);
        }
    }

   private function error ($error=""){
    if ($error!=""){
        die('<style="background-color:brown; padding:10px; border-radius:10px; width:100%">'.$error.'</style>');
    }
}

}

$database2 = new MySQLDatabase2();

?>